Skip to main content
POST
/
api
/
v1
/
enrich
/
fast-people-enrichment
Enrich Account with People Job
curl --request POST \
  --url https://api.openfunnel.dev/api/v1/enrich/fast-people-enrichment \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <x-api-key>' \
  --header 'X-User-ID: <x-user-id>' \
  --data '
{
  "account_id": 123,
  "seniority_filters": [
    "FOUNDER"
  ],
  "department_filters": [
    "ENGINEERING"
  ],
  "audience_name": "<string>",
  "max_credit_limit": 2
}
'
{
  "job_id": "<string>",
  "message": "<string>",
  "account_id": 123,
  "status": "pending",
  "audience_url": "<string>"
}

Headers

X-API-Key
string
required
X-User-ID
string
required

Body

application/json
account_id
integer
required

account ID to discover people for

seniority_filters
enum<string>[]
required

Seniority levels to filter by (e.g., ['VP', 'DIRECTOR', 'HEAD'])

Minimum array length: 1

Job seniority levels for people discovery filtering.

Available options:
FOUNDER,
CXO,
PARTNER,
VP,
HEAD,
DIRECTOR,
MANAGER,
SENIOR,
ENTRY,
INTERN
department_filters
enum<string>[]
required

Departments to filter by (e.g., ['ENGINEERING', 'PRODUCT', 'SALES'])

Minimum array length: 1

Job department/function categories for people discovery filtering.

Available options:
ENGINEERING,
PRODUCT,
DATA,
SALES,
MARKETING,
OPERATIONS,
FINANCE,
HR,
LEGAL,
EXECUTIVE,
CUSTOMER_SUCCESS,
SECURITY,
IT,
OTHER
audience_name
string | null

Optional audience name. If provided, discovered people are added to this audience.

max_credit_limit
integer | null

Maximum number of credits to spend. If omitted, uses your account default.

Required range: x >= 1

Response

Successful Response

Response from starting a fast people discovery job.

Returns immediately with a job_id. Poll GET /api/v1/enrich/fast-people-enrichment/{job_id} for progress and results.

job_id
string
required

Unique job ID for polling via GET /api/v1/enrich/fast-people-enrichment/{job_id}

message
string
required

Human-readable status message

account_id
integer
required

Account ID being searched

status
string
default:pending

Job status — always 'pending' at creation

audience_url
string | null

Audience URL if audience_name was provided